Title: Trailer I EP "Norway"
Date: 2013-04-01 14:21
Author: volker
Category: News
Slug: trailer-i-ep-norway
Status: published

<iframe src="https://www.youtube.com/embed/nfM0kKNieGo" width="860" height="480" frameborder="0" allowfullscreen="allowfullscreen"></iframe>

Schwuppdiwupp ... hier kommt wie versprochen der erste Teaser für unsere neue EP "Norway" 😃
